Subject: Re: linux-next: Tree for Feb 22 (NFSD_V2_ACL)

From: Chuck Lever III <[email-masked]>
Date: Thu, 24 Feb 2022 15:08:44 +0000

> On Feb 24, 2022, at 1:45 AM, Randy Dunlap <[email-masked]> wrote:
> 
> 
> 
> On 2/23/22 07:58, Chuck Lever III wrote:
>> 
>>> On Feb 23, 2022, at 1:08 AM, Randy Dunlap <[email-masked]> wrote:
>>> 
>>> On 2/22/22 17:41, [email-masked] wrote:
>>>> Hi all,
>>>> 
>>>> Note that today's -next does not include the akpm tree since it's been a
>>>> long day and the conflicts seemed more than it was wise for me to
>>>> attempt at this point.  I'll have another go tomorrow but no guarantees.
>>>> 
>>>> Changes since 20220217:
>>> 
>>> on x86_64:
>>> 
>>> WARNING: unmet direct dependencies detected for NFSD_V2_ACL
>>> Depends on [n]: NETWORK_FILESYSTEMS [=y] && NFSD [=n]
>>> Selected by [y]:
>>> - NFSD_V3_ACL [=y] && NETWORK_FILESYSTEMS [=y]
>> 
>> Thanks, Randy. I think I've got it addressed in my for-next.
> 
> Hi Chuck,
> 
> I'm still seeing this in next-20220223...

I tested my fixed version of the commit with the randconfig
you attached to yesterday's email. Do you see this in
fs/nfsd/Kconfig from next-20220223 ?

config NFSD_V2_ACL
        bool
        depends on NFSD

config NFSD_V3_ACL
        bool "NFS server support for the NFSv3 ACL protocol extension"
        depends on NFSD
        select NFSD_V2_ACL
        help

--
Chuck Lever